<< blur | Image filtering | dilate >>

scicv >> Image filtering > boxFilter

# boxFilter

Blurs an image

### Syntax

    img_out = boxFilter(img_in, ksize, anchor, normalize, borderType)

### Parameters

img_in

  Input image (Mat).

ksize

  Kernel size (double 1x2 matrix).

anchor

  Position of the anchor in the element (double 1x2 matrix) (default the anchor is at the element center).

normalize

  flag specifying whether the kernel is normalized or not (boolean) (default `%t`).

borderType

  Pixel extrapolation methodd (double) (default `BORDER_DEFAULT`).

img_out

  Output image (Mat).

### Description

`boxFilter` blurs an image using the box filter.

### Examples

    scicv_Init();

    img = imread(getSampleImage("lena.jpg"));

    img_box_filter = boxFilter(img, -1, [5, 5]);

    matplot(img_box_filter);

    delete_Mat(img);
    delete_Mat(img_box_filter);

### See also

- blur

Report an issue
<< blur | Image filtering | dilate >>